Package wx :: Package lib :: Module shell :: Class PyShellInput

[frames | no frames]

## Type PyShellInput

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            PyShellInput

PyShell input window

Method Summary
| ``__init__`(self, parent, shell, id)` Create input window
| ``Clear`(self, event)` reset input state
| ``OnChar`(self, event)` called on CHARevent.
| `OnSetFocus(self, event)`

Property Summary

Class Variable Summary
`str` | `PS1` = `' Enter Command:'`
`str` | `PS2` = `'... continue:'`

Instance Method Details

### __init__(self, parent, shell, id=-1)
(Constructor)

Create input window

shell must be a PyShell object. it is used for exception handling, eval() namespaces, and shell.output is used for output (print's go to overridden stdout)

  Overrides:
    `wx.Panel.__init__`

### Clear(self, event=None)

reset input state

### OnChar(self, event)

called on CHARevent. executes input on newline

Class Variable Details

### PS1

  Type:
    `str`
  Value:

        ' Enter Command:'

### PS2

  Type:
    `str`
  Value:

        '... continue:'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:53 2007 | http://epydoc.sf.net